> ## Name

> cgSetFloatArrayStateAssignment - set a float-valued state assignment array

> ## Synopsis

>     #include <Cg/cg.h>

>     CGbool cgSetFloatArrayStateAssignment( CGstateassignment sa,
>                                            const float * vals );

> ## Parameters

> sa
>   A handle to a state assignment array of type CG_FLOAT, CG_FIXED, CG_HALF.
> vals
>   The values which will be used to set sa.

> ## Return Values

> Returns CG_TRUE if it succeeds in setting the state assignment.

> Returns CG_FALSE otherwise.

> ## Description

> cgSetFloatArrayStateAssignment sets the value of a state assignment of float array type.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

> CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of a float type.

> ## History

> cgSetFloatArrayStateAssignment was introduced in Cg 1.5.

> ## See Also

> cgGetFloatStateAssignmentValues, cgSetFloatStateAssignment, cgSetBoolArrayStateAssignment, cgSetBoolStateAssignment, cgSetIntArrayStateAssignment, cgSetIntStateAssignment, cgSetProgramStateAssignment, cgSetSamplerStateAssignment, cgSetStringStateAssignment, cgSetTextureStateAssignment